---
title: "Retrieve flow definitions"
slug: "retrieve-flow-definitions"
abstract: "Describes how to retrieve flow definitions using the Sitecore Personalize Flow definition REST API."
---
# Retrieve flow definitions

`GET /v3/flowDefinitions`

Retrieves all flow definitions.

In the response, in every object in the `items` array, the `ref` key contains the flow definition reference.

You use the flow definition reference to interact with a specific flow definition, for example, to [retrieve](https://doc.sitecore.com/personalize/en/developers/api/rest-apis/flow-definition-rest-api/retrieve-a-flow-definition.html "Retrieve a flow definition") or [update](https://doc.sitecore.com/personalize/en/developers/api/rest-apis/flow-definition-rest-api/update-a-flow-definition.html "Update a flow definition") it.

```curl
curl -X GET '<baseURL>/v3/flowDefinitions' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'

```

```json
{
  "href": "<baseURL>/v3/flowDefinitions",
  "items": [
    {
      "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
      "href": "<baseURL>/v3/flowDefinitions/ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8",
      "ref": "ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8",
      "name": "Alert bar 1",
      "modifiedByRef": "zwxCA58jwLzfeU2mNGgalCpoJzNVYOJl@clients",
      "modifiedAt": "2026-07-04T13:`45:32`.922Z",
      "revision": 1,
      "archived": false,
      "friendlyId": "alert_bar_1",
      "type": "INTERACTIVE_WEB_FLOW",
      "subtype": "EXPERIENCE",
      "channels": [
          "WEB"
      ],
      "triggers": [],
      "tags": [],
      "businessProcess": "interactive_v1",
      "traffic": {
          "type": "simpleTraffic",
          "weightingAlgorithm": "USER_DEFINED",
          "modifiedAt": "2026-07-04T13:`45:33`.033Z",
          "allocation": 100,
          "splits": [],
          "coupled": false
      },
      "variants": [],
      "transpiledVariants": [],
      "status": "DRAFT",
      "schedule": {
          "type": "simpleSchedule",
          "startDate": "2026-07-04T11:`46:41`.810Z"
      },
      "revisions": {
          "href": "<baseURL>/v3/flowDefinitions/ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8/revisions"
      },
      "sampleSizeConfig": {
          "baseValue": 0.02,
          "minimumDetectableDifference": 0.2,
          "confidenceLevel": 0.95
      }
    }
  ]
}

```